### Hierarchy

- HTMLCollectionOf<HTMLOptionElement>
  - HTMLOptionsCollection

### Indexable

[index: number]: Element

## Index

### Properties

- length
- selectedIndex

### Methods

- __@iterator
- add
- item
- namedItem
- remove

## Properties

### length

length: number

Overrides HTMLCollectionBase.length

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7646

Returns the number of elements in the collection. When set to a smaller number, truncates the number of option elements in the corresponding container. When set to a greater number, adds new blank option elements to that container.

### selectedIndex

selectedIndex: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7652

Returns the index of the first selected item, if any, or −1 if there is no selected item. Can be set, to change the selection.

## Methods

### __@iterator

- __@iterator(): IterableIterator<Element>

- Inherited from HTMLCollectionBase.__@iterator

  Overrides HTMLCollectionOf.__@iterator

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.iterable.d.ts:88

  #### Returns IterableIterator<Element>

### add

- add(element: HTMLOptionElement | HTMLOptGroupElement, before?: HTMLElement | number | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7661

  Inserts element before the node given by before. The before argument can be a number, in which case element is inserted before the item with that number, or an element from the collection, in which case element is inserted before that element. If before is omitted, null, or a number out of range, then element will be added at the end of the list. This method will throw a "HierarchyRequestError" DOMException if element is an ancestor of the element into which it is to be inserted.

  #### Parameters

  - ##### element: HTMLOptionElement | HTMLOptGroupElement

  - ##### Optional before: HTMLElement | number | null

  #### Returns void

### item

- item(index: number): HTMLOptionElement | null

- Inherited from HTMLCollectionOf.item

  Overrides HTMLCollectionBase.item

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:6062

  #### Parameters

  - ##### index: number

  #### Returns HTMLOptionElement | null

### namedItem

- namedItem(name: string): HTMLOptionElement | null

- Inherited from HTMLCollectionOf.namedItem

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:6063

  #### Parameters

  - ##### name: string

  #### Returns HTMLOptionElement | null

### remove

- remove(index: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:7665

  Removes the item with index index from the collection.

  #### Parameters

  - ##### index: number

  #### Returns void

Generated using TypeDoc